CREATE TABLE IF NOT EXISTS cache (
                                     id INTEGER PRIMARY KEY,
                                     url TEXT NOT NULL UNIQUE,
                                     response TEXT NOT NULL,
                                     created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
                                     ttl INTEGER DEFAULT 0
);

CREATE INDEX idx_url ON cache (url);
CREATE INDEX idx_created_at ON cache (created_at);

